{
  "alfredsnippet" : {
    "snippet" : "import functools\n\n\ndef trace(f):\n    @functools.wraps(f)\n    def decorated_function(*args, **kwargs):\n        print(f, args, kwargs)\n        result = f(*args, **kwargs)\n        print(result)\n\n    return decorated_function\n",
    "uid" : "E6FB46AF-5E73-45BA-8E90-C5116904B7B6",
    "name" : "Function Tracing Decorator",
    "keyword" : ""
  }
}